Loading...
Searching...
No Matches
buffer_type.h File Reference
`#include <gnuradio/api.h>`
`#include <gnuradio/runtime_types.h>`
`#include <cstdint>`
`#include <functional>`
`#include <string>`
`#include <vector>`
Include dependency graph for buffer_type.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::buffer_type_base
| Base class for describing a buffer's type. More...
struct | gr::buftype< classname, factory_class >
| Template used to create buffer types. Note that the factory_class parameter must contain a static function make_buffer() that matches the signature below and will be used to create instances of the corresponding buffer type. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Typedefs

typedef const buffer_type_base & | gr::buffer_type
typedef std::vector< std::reference_wrapper< const buffer_type_base > > | gr::gr_vector_buffer_type